%    \begin{macrocode}
\NeedsTeXFormat{LaTeX2e}[1995/12/01]
\ProvidesClass{bewerbung}[2015/07/14 v1.1 %
  Klasse zur Erstellung von Bewerbungsschreiben]
\RequirePackage{ifthen,kvoptions,calc}
\SetupKeyvalOptions{%
family=ahbewerbung,%
prefix=ahbewerbung@,%
setkeys=\kvsetkeys%
}
%    \end{macrocode}
%%
%% for komacv are some color options available, that %
%% needed to get passed to the new cv package
%% ALL OPTIONS ARE CHANGED TO THE IDENTIFIER ahbewerbung
%%
%    \begin{macrocode}
\DeclareStringOption[mycolor]{lebenslaufColor}[mycolor]
\DeclareStringOption[x11names]{lebenslaufXcolor}[x11names]
\DeclareStringOption[classic]{lebenslaufStyle}[classic]
\DeclareStringOption[anschrift.csv]{anschrift}[anschrift.csv]
\DeclareBoolOption{idPlain}
\ProcessKeyvalOptions{ahbewerbung} % evaluate keyval options
\DeclareOption*{\PassOptionsToClass{\CurrentOption}{scrlttr2}}
\ProcessOptions\relax
\LoadClass[
	DIN, pagenumber=botright, backaddress=true, parskip=half,% 
	fromalign=left, fromemail=true, fromfax=true, %
	fromphone=true, fromurl=false, fromalign=right, %          
	fromlogo=false, fromrule=true, foldmarks=true, %
	paper=a4, fontsize=10pt,enlargefirstpage=true, firstfoot=false
]{scrlttr2}
%    \end{macrocode}
%\iffalse
%% import from komacv.cls for easier maintaining
%\fi
%    \begin{macrocode}
\RequirePackage{%
  etoolbox,%
  ifpdf,%
  ifluatex,%
  ifxetex,%
	marvosym, %
  scrlayer-scrpage, %
	array,%
  graphicx,%
  microtype,%
  enumitem, %
	hyperref, %
}
\RequirePackage[%
%    \end{macrocode}
%\iffalse
%%	xcolor=\ahbewerbung@lebenslaufXcolor,%
%%	color=\ahbewerbung@lebenslaufColor,%
%%	style=\ahbewerbung@lebenslaufStyle,%
%\fi
%    \begin{macrocode}
]{bewerbung-cv}
\RequirePackage[autostyle,german=guillemets]{csquotes}
\RequirePackage[top=2.5cm]{geometry}
\RequirePackage{datatool}
\RequirePackage[right]{eurosym}
\RequirePackage{xspace}
\RequirePackage{multicol}
\RequirePackage{pdfpages}
\RequirePackage{comment}
\RequirePackage{xparse}
\RequirePackage{bewerbung}
\AtBeginDocument{%
	\hypersetup{colorlinks=true}%
	\InputIfFileExists{config.inc}{}{%
		\@latex@warning@no@line{%
			Achtung die Datei config.inc ist nicht lesbar.}%
	}
	\getBewerbung[\ahbewerbung@anschrift] %
	\runKomaVar %
	\InputIfFileExists{titlepage.inc}{}{%
		\@latex@warning@no@line{%
			Achtung die Datei titlepage.inc ist nicht lesbar.}%
	} %
}
%    \end{macrocode}
